Bug 255521 - org.netbeans.modules.editor.java.JavaCompletionItem$GetterSetterMethodItem.substituteText: LowPerformance took 10975 ms.
org.netbeans.modules.editor.java.JavaCompletionItem$GetterSetterMethodItem.su...
Status: RESOLVED FIXED
Product: java
Classification: Unclassified
Component: Editor
8.1
All All
: P3 (vote)
: 8.1
Assigned To: Dusan Balek
issues@java
EXCEPTIONS_REPORT perf-profileme
: PERFORMANCE
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-23 17:57 UTC by Michel Graciano
Modified: 2015-09-25 01:46 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
nps snapshot (79.17 KB, application/nps)
2015-09-23 17:57 UTC, Michel Graciano
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michel Graciano 2015-09-23 17:57:56 UTC
This issue was reported manually by hmichel.
It already has 4 duplicates 


Build: NetBeans IDE Dev (Build 20150918-6beda17842be)
VM: Java HotSpot(TM) 64-Bit Server VM, 25.51-b03, Java(TM) SE Runtime Environment, 1.8.0_51-b16
OS: Linux

User Comments:
hmichel: Creating a method based on CC suggestion

Monezz: Use auto completion (ctrl+space)
no scanning or other tasks where performed on the background.
around 30 projects (maven platform application modules) open.
I was actually selecting getMyVariable for auto generation after using autocomplete on getM<ctrl+space>

hmichel: Generating a getter for a simple property

iluvtr: Slow NetBeans generating getter



Maximum slowness yet reported was 23475 ms, average is 15854
Comment 1 Michel Graciano 2015-09-23 17:57:59 UTC
Created attachment 156391 [details]
nps snapshot
Comment 2 Dusan Balek 2015-09-24 09:21:20 UTC
As can be seen from the attached snapshot, AWT EDT waits for the parsing lock which is held for an extremely long time by ComputeImports. Fixed in jet-main by improving cancel support in ComputeImports.

http://hg.netbeans.org/jet-main/rev/f75cc98eede7
Comment 3 Quality Engineering 2015-09-25 01:46:50 UTC
Integrated into 'main-silver', will be available in build *201509250002* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/f75cc98eede7
User: Dusan Balek <dbalek@netbeans.org>
Log: Issue #255521 - org.netbeans.modules.editor.java.JavaCompletionItem$GetterSetterMethodItem.substituteText: LowPerformance - fixed.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo